﻿@model eCommerce.UI.ViewModels.ShoppingCartViewModel
<div class="ocaSForm">
    <h2 class="border h1">Elegí tu sucursal mas cercana</h2>

    <div class="row field-row">
        <div class="col-xs-12 col-sm-4">
            <label>Codigo Postal*</label>
            <input id="ZipCodeOCA" class="le-input placeholder" data-placeholder="" name="" value="@Model.Customer.ZipCode">
        </div>
        <div class="col-xs-12 col-sm-8">
            <label>&nbsp;</label>
            <button id="btnGetOcaCenters" class="le-button" onclick="GetOcaCenters()">Obtener centros de entrega</button>
        </div>
    </div>

    <div id="infoOca" style="display:none;">
        <div class="row field-row">
            <div class="col-md-6"><label>Costo de Env&iacute;o Estimado:<span></span></label></div>
            <div class="col-md-6"><label>Plazo de Entrega:<span></span></label></div>
            <div class="col-md-6"><input type="text" class="le-input" id="txtShippingCost" name="txtShippingCost" readonly></div>
            <div class="col-md-6"><input type="text" class="le-input" id="txtShippingDays" name="txtShippingDays" readonly></div>
        </div>
        <div class="row field-row">
            <div class="col-md-12"><label>Eleg&iacute; tu Centro de Entrega mas cercano:<span></span></label></div>
            <div class="col-md-12">
                <select id="CentrosOCA" name="OcaCenter" class="le-input"></select>
            </div>
        </div>
        <div class="row field-row">
            <div id="create-account" class="col-xs-12">
                <div class="inline-input">
                    <button class="le-button calcular-costo" type="button" onclick="GetShippingCost()">($) Calcular Costo</button>
                </div>
            </div>
        </div>
    </div>
</div>


<div class="motoForm transporteForm ocaPForm">
    <h2 class="border h1">Direcci&oacute;n de Entrega</h2>
    <div class="row field-row">
        <div class="col-xs-12 col-sm-6">
            <label>Provincia*</label>
            <select class="le-input" name="Customer.ProvinceId" id="ProvinceId">
                @foreach (var item in Model.Provinces)
                {
                    <option value="@item.Value" selected="@item.Selected">@item.Text</option>
                }
            </select>
        </div>
        <div class="col-xs-12 col-sm-6">
            <label>Ciudad*</label>
            <input id="City" class="le-input" name="Customer.City" value="@Model.Customer.City">
        </div>
    </div><!-- /.field-row -->

    <div class="row field-row">
        <div class="col-xs-12 col-sm-6">
            <label>Calle*</label>
            <input id="Address" class="le-input" name="Customer.Address" value="@Model.Customer.Address">
        </div>
        <div class="col-xs-12 col-sm-6">
            <label>Altura*</label>
            <input id="AddressNumber" class="le-input" name="Customer.AddressNumber" value="@Model.Customer.AddressNumber">
        </div>
    </div><!-- /.field-row -->

    <div class="motoForm ocaPForm">
        <div class="row field-row">
            <div class="col-xs-12 col-sm-4">
                <label>C&oacute;digo Postal*</label>
                <input id="ZipCode" class="le-input" name="Customer.ZipCode" value="@Model.Customer.ZipCode">
            </div>
            <div class="col-xs-12 col-sm-4">
                <label>Piso</label>
                <input id="Floor" class="le-input" name="Customer.Floor" value="@Model.Customer.Floor">
            </div>
            <div class="col-xs-12 col-sm-4">
                <label>Departamento</label>
                <input id="Department" class="le-input" name="Customer.Department" value="@Model.Customer.Department">
            </div>
        </div>

        <div class="row field-row">
            <div class="col-xs-12 col-sm-6">
                <label>Tel&eacute;fono*</label>
                <input id="PhoneNumber" class="le-input placeholder" data-placeholder="" name="Customer.PhoneNumber" value="@Model.Customer.PhoneNumber">
            </div>
            <div class="col-xs-12 col-sm-6">
                <label>Celular*</label>
                <input id="Cellphone" class="le-input placeholder" data-placeholder="" name="Customer.CellPhone" value="@Model.Customer.Cellphone">
            </div>
        </div>

        <div class="row field-row">
            <div id="create-account" class="col-xs-12">
                <div class="inline-input">
                    <button class="le-button calcular-costo" type="button" onclick="GetShippingCost()">($) Calcular Costo</button>
                </div>
            </div>
        </div>
    </div>

    <div class="transporteForm">

        <div class="row field-row">
            <div class="col-xs-12 col-sm-6">
                <label>Nombre de la empresa de transporte*</label>
                <input id="ShipmentCompany" class="le-input" name="Customer.ShipmentCompany" value="@Model.Customer.ShipmentCompany">
            </div>
            <div class="col-xs-12 col-sm-6">
                <label>Teléfono de la empresa*</label>
                <input id="ShipmentCompanyTel" class="le-input" name="Customer.ShipmentCompanyTel" value="@Model.Customer.ShipmentCompanyTel">
            </div>
        </div><!-- /.field-row -->

        <div class="row field-row">
            <div class="col-xs-12 col-sm-12">
                <label>Dirección de la empresa*</label>
                <input id="ShipmentCompanyAddress" class="le-input" name="Customer.ShipmentCompanyAddress" value="@Model.Customer.ShipmentCompanyAddress">
            </div>
        </div><!-- /.field-row -->

        <div class="row field-row">
            <div id="create-account" class="col-xs-12">
                <div class="inline-input">
                    <button class="le-button calcular-costo" type="button" onclick="GetShippingCost()">($) Calcular Costo</button>
                </div>
            </div>
        </div>
    </div>
</div>